package com.example.nuria.fesp_cyl.DataBase;


import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

import com.example.nuria.fesp_cyl.Noticia;
import com.example.nuria.fesp_cyl.Urls;

import java.util.ArrayList;


public final class DbHelper extends SQLiteOpenHelper {

    private static final String TAG = DbHelper.class.getSimpleName();

    // Constructor
    public DbHelper(Context context) {
        super(context, StatusContract.DB_NAME, null, StatusContract.DB_VERSION);
    }

    // Llamado para crear la tabla
    @Override
    public void onCreate(SQLiteDatabase db) {
        String sql = "create table " + StatusContract.TABLE + " (" +
                StatusContract.Column.ID + " INTEGER PRIMARY KEY AUTOINCREMENT, " +
                StatusContract.Column.TITULO + " TEXT, " +
                StatusContract.Column.DESCRIPCION + " TEXT, " +
                StatusContract.Column.URL + " TEXT," +
                StatusContract.Column.FECHA + " TEXT, " +
                StatusContract.Column.CATEGORIA + " TEXT);";
        Log.d(TAG, "onCreate con SQL: " + sql);
        db.execSQL(sql);

        String sqlUrl = "create table " + StatusContract.TABLE_URL + " (" +
                StatusContract.ColumnUrls.IDURL + " TEXT, " +
                StatusContract.ColumnUrls.URLCAT + " TEXT, " +
                StatusContract.ColumnUrls.CAT + " TEXT );";

        Log.d(TAG, "onCreate con SQL: " + sqlUrl);
        db.execSQL(sqlUrl);

        ContentValues values = new ContentValues();
        ContentValues values2 = new ContentValues();
        ContentValues values3 = new ContentValues();
        ContentValues values4 = new ContentValues();

        values.put(StatusContract.ColumnUrls.IDURL, "1");
        values.put(StatusContract.ColumnUrls.URLCAT, "http://castillayleon.fespugt.es/actividades/formacion?format=feed&type=rss");
        values.put(StatusContract.ColumnUrls.CAT, "Formación");

        values2.put(StatusContract.ColumnUrls.IDURL, "2");
        values2.put(StatusContract.ColumnUrls.URLCAT, "http://castillayleon.fespugt.es/sectores/ensenanza/e-publica?format=feed&type=rss");
        values2.put(StatusContract.ColumnUrls.CAT, "E. Pública");

        values3.put(StatusContract.ColumnUrls.IDURL, "3");
        values3.put(StatusContract.ColumnUrls.URLCAT, "http://castillayleon.fespugt.es/sectores/ensenanza/universidad?format=feed&type=rss");
        values3.put(StatusContract.ColumnUrls.CAT, "Universidad");

        values4.put(StatusContract.ColumnUrls.IDURL, "4");
        values4.put(StatusContract.ColumnUrls.URLCAT, "http://castillayleon.fespugt.es/sectores/ensenanza/e-privada?format=feed&type=rss");
        values4.put(StatusContract.ColumnUrls.CAT, "E. Privada");
        // Insertar...
        db.insert(StatusContract.TABLE_URL, null, values);
        db.insert(StatusContract.TABLE_URL, null, values2);
        db.insert(StatusContract.TABLE_URL, null, values3);
        db.insert(StatusContract.TABLE_URL, null, values4);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        // Aqui irían las sentencias del tipo ALTER TABLE, de momento lo hacemos
      //  mas sencillo...
        // Borramos la vieja base de datos
        db.execSQL("drop table if exists " + StatusContract.TABLE);
        db.execSQL("drop table if exists " + StatusContract.TABLE_URL);
        // Creamos una base de datos nueva
        onCreate(db);
        Log.d(TAG, "onUpgrade");
    }

}


